Gets a single Inter-Center Transfer
curl --request GET \
--url https://api.example.com/api/v1/Transfers/{referenceNumber} \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Transfers/{referenceNumber}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Transfers/{referenceNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": {
"headerId": "123",
"referenceNumber": "<string>",
"supplierReferenceNumber": "<string>",
"fromWarehouseCode": "GLW, WDI, PSO, SMA, SHW",
"fromWarehouseName": "Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette Valley",
"toWarehouseCode": "GLW, WDI, PSO, SMA, SHW",
"toWarehouseName": "Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette Valley",
"statusCode": "<string>",
"statusCodeName": "<string>",
"supplierId": "<string>",
"submittedDate": "2023-11-07T05:31:56Z",
"closedDate": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"expectedDate": "2023-11-07T05:31:56Z",
"inventories": [
{
"lineId": "<string>",
"inventoryItemId": "<string>",
"headerId": "<string>",
"lineNumber": "<string>",
"toSubInventoryCode": "<string>",
"toSubInventoryName": "<string>",
"fromSubInventoryCode": "<string>",
"fromSubInventoryName": "<string>",
"qtyTransferIn": 123,
"qtyTransferOut": 123,
"qtyReceived": 123,
"qtyShipped": 123,
"sku": "<string>",
"wineDirectSku": "<string>",
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}
]
}
}Gets a single Inter-Center Transfer
Sample Request (To get the Transfer)
GET /TRAN-1234
GET
/
api
/
v1
/
Transfers
/
{referenceNumber}
Gets a single Inter-Center Transfer
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Path Parameters
The WineDirect Transfer Reference Number. eg TRAN-1234
Minimum string length:
2Response
200 - application/json
Returns the Inter-Center Transfer
Was this page helpful?
Gets a list of FedEx or UPS store locations where a hold of a shipment for an order is possibleQuery the Inter-Center Transfer system for transfers
⌘I